LibreOffice: XPatternField Interface Reference

LibreOffice LibreOffice 6.4 SDK API Reference

Public Member Functions | List of all members
XPatternField Interface Referencepublished

gives access to the value and formatting of a pattern field. More...

`import"XPatternField.idl";`

Inheritance diagram for XPatternField:

## Public Member Functions
void | setMasks ([in] string EditMask, [in] string LiteralMask)
| sets the pattern mask. More...
void | getMasks ([out] string EditMask, [out] string LiteralMask)
| returns the currently set pattern mask. More...
void | setString ([in] string Str)
| sets the string value of the pattern field. More...
string | getString ()
| returns the currently set string value of the pattern field. More...
void | setStrictFormat ([in] boolean bStrict)
| determines if the format is checked during user input. More...
boolean | isStrictFormat ()
| returns whether the format is currently checked during user input. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

gives access to the value and formatting of a pattern field.

## Member Function Documentation

## ◆ getMasks()

void getMasks | ( | [out] string | EditMask,
|  | [out] string | LiteralMask
| ) |  |

returns the currently set pattern mask.

## ◆ getString()

string getString | ( |  | ) |

returns the currently set string value of the pattern field.

## ◆ isStrictFormat()

boolean isStrictFormat | ( |  | ) |

returns whether the format is currently checked during user input.

## ◆ setMasks()

void setMasks | ( | [in] string | EditMask,
|  | [in] string | LiteralMask
| ) |  |

sets the pattern mask.

## ◆ setStrictFormat()

void setStrictFormat | ( | [in] boolean | bStrict | ) |

determines if the format is checked during user input.

## ◆ setString()

void setString | ( | [in] string | Str | ) |

sets the string value of the pattern field.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XPatternField.idl